Error/Problem BungeeYAML

Discussion in 'BungeeCord Discussion' started by qBASHp, Jul 9, 2013.

  1. I have a problem with BungeeYAML. Everything worked finally since I update BungeeCord to the new Version 1.6.2! Here is the Part of the Log with the Errors when i start Bungee.
    http://pastebin.com/Gu6cmp4g Pastebin ;)
    There are 2 errors and i think the second (bungeeban) is because Bungeeban needs BungeeYAML and this Plugin doesn't work.
    BungeeCord Version: git-BungeeCord-Proxy-1.6.1-SNAPSHOT-"9adcb05"-587
    You can see all resources in the log.
     
    #1 qBASHp, Jul 9, 2013
    Last edited: Jul 9, 2013
  2. The HTTP client changed in newer version of Bungee which broke BungeeYAML's autoupdater. If you disable the auto update mechanism it will start.

    BungeeBans needs updating as well.
     
    • Useful Useful x 1
  3. ok i try it thanks ;)
     
  4. it work :) but the second Plugin has an error (bungeeBan) and im not sure what that means...
    I post the Log here (directly):
    22:02:49 [INFO] Enabled BungeeCord version git-BungeeCord-Proxy-1.6.1-SNAPSHOT-"9adcb05"-587
    22:02:49 [INFO] Loaded plugin BungeeBan version 0.6-SNAPSHOT-47 by roblabla
    22:02:49 [INFO] Loaded plugin BungeeSuite version 0.25 by Bloodsplat
    22:02:49 [INFO] Loaded plugin BungeeYAML version 1.2.3-32 by roblabla
    22:02:49 [INFO] Loaded plugin ProxyTablist version 1.1 by Scrayos
    22:02:49 [INFO] Loaded plugin SQLibrary version 4.2 by PatPeter
    22:02:49 [INFO] Loaded plugin GlobalJoins version 3 by NickG365
    22:02:49 [WARNING] Exception encountered when loading plugin: BungeeBan
    java.lang.IllegalArgumentException: Listener net[email protected]79b55ca5 has registered using deprecated subscribe annotation! Please update to @EventHandler.
    at com.google.common.base.Preconditions.checkArgument(Preconditions.java:119)
    at net.md_5.bungee.api.plugin.PluginManager.registerListener(PluginManager.java:317)
    at net.craftminecraft.bungee.bungeeban.BungeeBan.onEnable(BungeeBan.java:50)
    at net.md_5.bungee.api.plugin.PluginManager.loadAndEnablePlugins(PluginManager.java:153)
    at net.md_5.bungee.BungeeCord.start(BungeeCord.java:226)
    at net.md_5.bungee.BungeeCord.main(BungeeCord.java:188)
    22:02:49 [INFO] Enabled plugin BungeeSuite version 0.25 by Bloodsplat
    22:02:49 [INFO] Enabled plugin BungeeYAML version 1.2.3-32 by roblabla
    22:02:49 [INFO] Enabled plugin ProxyTablist version 1.1 by Scrayos
    22:02:49 [INFO] [SQLibrary] SQLibrary loaded.
    22:02:49 [INFO] Enabled plugin SQLibrary version 4.2 by PatPeter

    22:02:49 [INFO] Enabled plugin GlobalJoins version 3 by NickG365

    because:
    Pastebin.com is under heavy load right now :(

    :I paste it in pastebin later when it's needed...
     
    #4 qBASHp, Jul 9, 2013
    Last edited: Jul 9, 2013
  5. I found the problem with BungeeBan there were a new update i must check that first^^ but after one error the next came :( and now pastbin works the error comes everytime when sombody joins...

    http://pastebin.com/MDQqyFKE
     
    #5 qBASHp, Jul 9, 2013
    Last edited: Jul 9, 2013
  6. Why is this not posted in BungeeBan thread....
    qBASHp this is a BungeeSuite problem, not a BungeeBan problem. "com[email protected]2b3fe033". bloodsplat should take a look.
     
    • Like Like x 1
    • Agree Agree x 1

  7. Yea nothing to do with bungeebans, Thats a BungeeSuite issue that I'll check out
     
    • Like Like x 1
    • Agree Agree x 1
  8. ohh lol i was verry tierd yesterday so i didn't saw that :eek:
    I though it was a bungeeban thread, because the error was after I updatet Bungeeban...

    both are usefull Plugins ;) thanks
     
    #8 qBASHp, Jul 10, 2013
    Last edited: Jul 10, 2013